# coding: utf-8
from yank import multistate
import os
import sys
os.chdir(sys.argv[1])
complexReporter = multistate.multistatereporter.MultiStateReporter("complex.nc", open_mode='r')
solventReporter = multistate.multistatereporter.MultiStateReporter("solvent.nc", open_mode='r')
complex_states = complexReporter.read_replica_thermodynamic_states()
solvent_states = solventReporter.read_replica_thermodynamic_states()
output = open("state_count.txt", "w+")
for i in range(complexReporter.n_states):
    output.write("%s   %s \n" %(i, len(set(complex_states[:,i]))))
    
output.write("Solvent \n")
for i in range(solventReporter.n_states):
    output.write("%s   %s \n" %(i, len(set(solvent_states[:,i]))))
    
output.close()
